"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AuthData = (function () {
    function AuthData() {
        this._username = '';
        this._email = '';
        this._password = '';
    }
    Object.defineProperty(AuthData.prototype, "username", {
        get: function () {
            return this._username;
        },
        set: function (value) {
            this._username = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthData.prototype, "email", {
        get: function () {
            return this._email;
        },
        set: function (value) {
            this._email = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthData.prototype, "password", {
        get: function () {
            return this._password.replace(/\w/gi, '*');
        },
        set: function (value) {
            this._password = value;
        },
        enumerable: true,
        configurable: true
    });
    AuthData.prototype.getAvailableAuthData = function (w) {
        var ava = {
            password: this._password
        };
        if (w) {
            ava[w] = this["_" + w];
        }
        else {
            if (this._email && !this._username)
                ava['email'] = this._email;
            if (this._username && !this._email)
                ava['username'] = this._username;
        }
        return ava;
    };
    return AuthData;
}());
exports.AuthData = AuthData;
//# sourceMappingURL=auth-data.js.map